<?
$ProjectExt = explode(",",$this->getProject['ext']);
$ProjectExc = !empty($this->getProject['exc']) ? explode(",",$this->getProject['exc']) : array();
if(count($ProjectExc)>0){
	foreach($ProjectExc as $v){
		if(!empty($v)) $ProjectExc[] = $v.'/';
	}
}
$ProjectExcF = !empty($this->getProject['excf']) ? explode(",",$this->getProject['excf']) : array();
if(count($ProjectExcF)>0){
	foreach($ProjectExcF as $v){
		if(!empty($v)) $ProjectExcF[] = $v;
	}
}

if(is_array($this->getList['list']['delete']['result']) && count($this->getList['list']['delete']['result'])>0){?>
	<?foreach($this->getList['list']['delete']['result'] as $v){
		$ext = ".".@end(explode(".",$v['path']));?>
		<?if(!in_array($ext,$ProjectExt) || @in_array($v['dir'],$ProjectExc) || strike_skip($v['dir'],$ProjectExc) || strike_skip($v['path'],$ProjectExcF)){?>
			<strike><?=$v['path']?> [<?=$v['size']?>B]</strike><br>
		<?}else{?>
			<?=$v['path']?> [<?=$v['size']?>B]<br>
		<?}?>
	<?}?>
	<?if($this->getList['list']['delete']['pages']){?>
	<div class="bttns-wrap">
		<?if($this->getList['list']['delete']['pages']['back']['page']>0){?>
			<a data-project_id="<?=$this->getList['project_id']?>" data-scan_id="<?=$this->getList['scan_id']?>" data-status="delete" data-page="<?=$this->getList['list']['delete']['pages']['back']['page']?>" href="#pages_log"  class="btn __base-inverse __light ic_arr-left">Назад</a>
		<?}?>
		<?foreach($this->getList['list']['delete']['pages']['list'] as $v){
			if($v['current']){
			  ?><span class="btn __base __light __disabled"><?=$v['page']?></span><?
			}elseif($v['dot']){
				?><a href="#pages_log"  class="btn __base-inverse __light">...</a><?
			}else{
			  ?><a data-project_id="<?=$this->getList['project_id']?>" data-scan_id="<?=$this->getList['scan_id']?>" data-status="delete" data-page="<?=$v['page']?>" href="#pages_log" class="btn __base-inverse __light"><?=$v['page']?></a><?
			}
		}?>
		<?if($this->getList['list']['delete']['pages']['next']['page']>0){?>
			<a data-project_id="<?=$this->getList['project_id']?>" data-scan_id="<?=$this->getList['scan_id']?>" data-status="delete" data-page="<?=$this->getList['list']['delete']['pages']['next']['page']?>" href="#pages_log" class="btn __base-inverse __light ic_arr-right">Вперед</a>
		<?}?>
	</div>
	<?}?>
<?}?>